Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class ForeignObject

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.ForeignObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ForeignObject

extends Area

Foreign object inline area. This inline area represents an instream-foreign object. This holds an xml document and the associated namespace.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.fop.area.Area
`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`ForeignObject(org.w3c.dom.Document d, java.lang.String ns)` Create a new foreign object with the given dom and namespace.
`ForeignObject(java.lang.String ns)` Create a new empty foreign object for which the DOM Document will be set later.

Method Summary
`org.w3c.dom.Document` | `getDocument()` Get the document for this foreign object.
`java.lang.String` | `getNameSpace()` Get the namespace of this foreign object.
`void` | `setDocument(org.w3c.dom.Document document)` Sets the DOM document for this foreign object.

Methods inherited from class org.apache.fop.area.Area
`activateEffectiveIPD, addChildArea, addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getEffectiveAllocIPD, getEffectiveIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setIPD, setTraits, setWritingModeTraits, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForeignObject

    public ForeignObject(org.w3c.dom.Document d,
                         java.lang.String ns)

  Create a new foreign object with the given dom and namespace.

  Parameters:
    `d` - the xml document
    `ns` - the namespace of the document

### ForeignObject

    public ForeignObject(java.lang.String ns)

  Create a new empty foreign object for which the DOM Document will be set later.

  Parameters:
    `ns` - the namespace of the document

Method Detail

### setDocument

    public void setDocument(org.w3c.dom.Document document)

  Sets the DOM document for this foreign object.

  Parameters:
    `document` - the DOM document

### getDocument

    public org.w3c.dom.Document getDocument()

  Get the document for this foreign object.

  Returns:
    the xml document

### getNameSpace

    public java.lang.String getNameSpace()

  Get the namespace of this foreign object.

  Returns:
    the namespace of this document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.